﻿using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace UnitTestsProject.Base
{
    public class TestBase
    {
        /// <summary>
        /// Stores information about unit test
        /// </summary>
        protected TestContext TestContextInstance;
        
        public TestContext TestContext
        {
            get => TestContextInstance;
            set
            {
                TestContextInstance = value;
                TestResults.Add(TestContext);
            }
        }

        public static IList<TestContext> TestResults;
    }
}
