﻿# About

![img](assets/Publisher.png)

Utility to publish a NuGet package to a designated local feed.

Uses `appsettings.json` which resides in the executable folder for configuration.

```json
{
  "NuGetExecutable": "C:\\OED\\Dotnetland\\CodeStash\\NuGetStuff\\nuget.exe",
  "PackageLocation": "C:\\OED\\Dotnetland\\NuGetLocal"
}
```

:heavy_check_mark: **NuGetExecutable** location of nuget.exe

:heavy_check_mark: **PackageLocation** location of local feed


---

# More options to be added

- Detect when the selected project/version is currently installed
- Present dialog to overwrite selected project/version
- Clean selected project published feed