﻿using System;

namespace SystemTextJsonLibrary.Containers
{
    /// <summary>
    /// Container for specific computer information
    /// </summary>
    public class DateContainer
    {
        /// <summary>
        /// BIO release date for current computer
        /// </summary>
        public DateTime BiosReleaseDate { get; set; }
        /// <summary>
        /// Local date time for current computer
        /// </summary>
        public DateTime OsLocalDateTime { get; set; }
        /// <summary>
        /// Last boot time for current computer
        /// </summary>
        public DateTime OsLastBootUpTime { get; set; }
        /// <summary>
        /// Up time for current computer
        /// </summary>
        public Osuptime OsUptime { get; set; }
    }


}
